interface

  IScroller

brief

  Scroller インターフェイス

### Hierarchy

- IScroller

### Implemented by

- ScrollerElement
- ScrollerIScroll
- ScrollerNative

## Index

### Methods

- destroy
- getPos
- getPosMax
- getType
- off
- on
- scrollTo
- update

## Methods

### destroy

- destroy(): void

- - Defined in CDP/UI/listview/Interfaces.ts:140

  Scroller の破棄

  #### Returns void

### getPos

- getPos(): number

- - Defined in CDP/UI/listview/Interfaces.ts:96

  position 取得

  #### Returns number

  : position

### getPosMax

- getPosMax(): number

- - Defined in CDP/UI/listview/Interfaces.ts:103

  position の最大値を取得

  #### Returns number

  : position

### getType

- getType(): string

- - Defined in CDP/UI/listview/Interfaces.ts:89

  Scroller の型情報を取得

  #### Returns string

### off

- off(type: string, func: function): void

- - Defined in CDP/UI/listview/Interfaces.ts:121

  イベント登録解除

  #### Parameters

  - ##### type: string

    [in] event 名

  - ##### func: function

    [in] event handler

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  : position

### on

- on(type: string, func: function): void

- - Defined in CDP/UI/listview/Interfaces.ts:112

  イベント登録

  #### Parameters

  - ##### type: string

    [in] event 名

  - ##### func: function

    [in] event handler

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  : position

### scrollTo

- scrollTo(pos: number, animate?: boolean, time?: number): void

- - Defined in CDP/UI/listview/Interfaces.ts:130

  スクロール位置を指定

  #### Parameters

  - ##### pos: number

    [in] スクロール位置 (0 - posMax)

  - ##### Optional animate: boolean

    [in] アニメーションの有無

  - ##### Optional time: number

    [in] アニメーションに費やす時間 [msec]

  #### Returns void

### update

- update(): void

- - Defined in CDP/UI/listview/Interfaces.ts:135

  Scroller の状態更新

  #### Returns void

Generated using TypeDoc